Bug 191976 - libgnomeprint22 MIssing Build Requirements
libgnomeprint22 MIssing Build Requirements
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomeprint22 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 13:21 EDT by Andreas Thienemann
Modified: 2013-03-13 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 15:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch, adding the missing buildreqs (389 bytes, patch)
2006-05-16 13:21 EDT, Andreas Thienemann
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2006-05-16 13:21:05 EDT
libgnomeprint22-2.12.1-4.2 won't build in mock:

gcc -shared  .libs/gnome-print-cups.o .libs/gnome-print-cups-transport.o 
-Wl,--rpath -Wl,/builddir/build/BUILD/libgnomeprint-2.12.1/libgnomeprint/.libs
-lgmodule-2.0 -ldl -L/usr/lib64 -lgnutls -lpthread -lcrypt -lgnomecups-1.0
-lcups -lssl -lcrypto -lnsl -lgobject-2.0 -lglib-2.0 -lxml2 -lz -lm -lpopt
../../.libs/libgnomeprint-2-2.so  -m64 -mtune=generic -Wl,--export-dynamic
-Wl,-soname -Wl,libgnomeprintcups.so -o .libs/libgnomeprintcups.so
/usr/bin/ld: cannot find -lgnutls
collect2: ld returned 1 exit status
make[4]: *** [libgnomeprintcups.la] Error 1
make[4]: Leaving directory
`/builddir/build/BUILD/libgnomeprint-2.12.1/libgnomeprint/modules/cups'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/builddir/build/BUILD/libgnomeprint-2.12.1/libgnomeprint/modules'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/builddir/build/BUILD/libgnomeprint-2.12.1/libgnomeprint'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/libgnomeprint-2.12.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.50791 (%build)



Attached is a patch, adding BuildRequires for 'gnutls-devel', 'openssl-devel'
Comment 1 Andreas Thienemann 2006-05-16 13:21:05 EDT
Created attachment 129239 [details]
Patch, adding the missing buildreqs
Comment 2 Matthias Clasen 2006-05-22 15:16:08 EDT
fixed

Note You need to log in before you can comment on or make changes to this bug.